| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
Gaudi::Functional::details::Consumer< void(const In &...), Traits_, true > Struct Template Referenceabstract

`#include <GaudiAlg/Consumer.h>`

Inheritance diagram for Gaudi::Functional::details::Consumer< void(const In &...), Traits_, true >:
[legend]
Collaboration diagram for Gaudi::Functional::details::Consumer< void(const In &...), Traits_, true >:
[legend]

## Public Member Functions
StatusCode | execute () override final
virtual void | operator() (const In &...) const =0

## Detailed Description

### template<typename... In, typename Traits_>
struct Gaudi::Functional::details::Consumer< void(const In &...), Traits_, true >

Definition at line 16 of file Consumer.h.

## Member Function Documentation

## ◆ execute()

template<typename... In, typename Traits_ >

StatusCode Gaudi::Functional::details::Consumer< void(const In &...), Traits_, true >::execute | ( |  | ) |
| inline final override

Definition at line 21 of file Consumer.h.

21 {
22 try {
23 details::filter_evtcontext_t<In...>::apply( *this, this->m_inputs );
24 return StatusCode::SUCCESS;
25 } catch ( GaudiException& e ) {
26 ( e.code() ? this->warning() : this->error() ) << e.message() << endmsg;
27 return e.code();
28 }
29 }
GaudiException
Define general base for Gaudi exception.
Definition: GaudiException.h:21
StatusCode::SUCCESS
constexpr static const auto SUCCESS
Definition: StatusCode.h:85
Gaudi::Functional::details::filter_evtcontext_t::apply
static auto apply(const Algorithm &algo, Handles &handles)
Definition: FunctionalDetails.h:353
GaudiException::code
virtual const StatusCode & code() const
StatusCode for Exception.
Definition: GaudiException.h:76
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:192

## ◆ operator()()

template<typename... In, typename Traits_ >

virtual void Gaudi::Functional::details::Consumer< void(const In &...), Traits_, true >::operator() | ( | const In & | ... | ) | const
| pure virtual

The documentation for this struct was generated from the following file:

- GaudiAlg/GaudiAlg/Consumer.h